> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aseed.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Utterance Speaker



## OpenAPI

````yaml /api-reference/openapi-filtered.json patch /insight/{rec_id}/transcript_utterance_speaker
openapi: 3.1.0
info:
  title: Aseed Insight API
  version: 0.1.0
servers:
  - url: https://app.aseed.ai/custdev
security: []
tags:
  - name: insight
    description: 'Core insight endpoints: records, transcripts, generation, and chat.'
    x-displayName: Insight
  - name: insight_public
    description: Public insight endpoints for shared/public access.
    x-displayName: Insight Public
  - name: projects
    description: Project management endpoints.
    x-displayName: Projects
  - name: project_reports
    description: Project report generation and management endpoints.
    x-displayName: Project Reports
  - name: project_reports_public
    description: Public project report endpoints.
    x-displayName: Project Reports Public
  - name: prompts
    description: Custom prompts management endpoints.
    x-displayName: Prompts
  - name: presets
    description: Presets and templates endpoints.
    x-displayName: Presets
  - name: agent
    description: AI agent threads and chat endpoints.
    x-displayName: Agent
  - name: interviews
    description: AI interviewer room and session endpoints.
    x-displayName: Interviews
  - name: webhooks
    description: Incoming webhook endpoints.
    x-displayName: Webhooks
paths:
  /insight/{rec_id}/transcript_utterance_speaker:
    patch:
      tags:
        - insight
      summary: Assign Utterance Speaker
      operationId: >-
        assign_utterance_speaker_insight__rec_id__transcript_utterance_speaker_patch
      parameters:
        - name: rec_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Rec Id
        - name: version
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The version of the transcript
            title: Version
          description: The version of the transcript
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UtteranceAssignSpeakerRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UtteranceAssignSpeakerRequest:
      properties:
        utterance_id:
          type: integer
          minimum: 0
          title: Utterance Id
          description: ID of the utterance to reassign
        new_speaker:
          type: string
          title: New Speaker
          description: >-
            Unique speaker identifier to assign (e.g., 'Speaker_B', 'Speaker_2',
            'Speaker_1A')
      type: object
      required:
        - utterance_id
        - new_speaker
      title: UtteranceAssignSpeakerRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````